# My own laptop.

nodes['kunsi-t470'] = {
    'hostname': 'localhost',
    'bundles': {
        'lldp',
        'nfs-client',
    },
    'groups': {
        'arch',
    },
    'metadata': {
        'timezone': 'Europe/Berlin',
        'icinga_options': {
            'exclude_from_monitoring': True,
        },
        'hosts': {
            'entries': {
                # XXX maybe outdated, verify on next train trip
                '10.101.64.10': {
                    'www.wifionice.de',
                    'wifionice.de',
                },
            },
        },
        'interfaces': {
            'enp0s31f6': {
                'dhcp': True,
                'use_dhcp_domains': True,
                'send_hostname': False,
            },
            # there is also wlp4s0, but that's managed by netctl
        },
        'iptables': {
            'port_rules': {
                # For the occasional file-share using `python -m http.server`
                '8000': {'*'},
            },
        },
        'locale': {
            'default': 'en_DK.UTF-8',
        },
        'nfs-client': {
            'mounts': {
                'nas-storage': {
                    'mountpoint': '/mnt/nas',
                    'serverpath': '172.19.138.20:/storage/nas',
                    'mount_options': {
                        'retry=0',
                        'ro',
                    },
                },
            },
        },
        'pacman': {
            'install_gui': True,
        },
        'systemd-networkd': {
            'enable-resolved': True,
        },
        'telegraf': {
            'influxdb_url': 'https://influxdb.kunsmann.eu/',
            'influxdb_token': vault.decrypt('encrypt$gAAAAABgg9Ag632Xyuc6SWXaR1uH2tLOChmVKAoBIikhjntSSD2qJFL_eouVQGXCLH2HEuSbSdEXcTPn2qmhOiA9jmFdoDSbVbQUsp0EID1wLsWYG_Um2KOxZSF-tn9eDZlgShQYySjzO3nQRmdlJpVLUnGHsiwv_sHD2FstXGpfzTPZq5_egUqEc0K2X-aN2J6BTYc2fZAN'),
            'influxdb_org': vault.decrypt('encrypt$gAAAAABgg9hyjz4XtvG8NBw9uYxiumS3v7YKIrtc9tTTABg1f9R22gzn55q8ULP9X3wlsPMUQs_DH7CgGv9neYmvVAriRoyd8g=='),
            'influxdb_bucket': vault.decrypt('encrypt$gAAAAABgg9iMnq0nKpODMiMN4NtUw231iqpbyDXV-O8epOAGDSL4jcf3CaSa2bLZzH2fJFaKWjW-dpVd384x6KqSQU19XpfsWA=='),
        },
        'users': {
            'kunsi': {
                'password': vault.decrypt('encrypt$gAAAAABgLmmuQGRUStrQawoPee-758emIYn2u8-8ebrgzNAFSp7ifeFDdXXvs-zL3QogwNYlCtBHboH2xfy1rSj6OF5bbNO-tg=='),
                'shell': '/usr/bin/fish',
                # FIXME move qemu VMs out of /home/kunsi
                'home-mode': '0755',
            },
            'sophie': {
                'delete': True,
            },
        },
    },
    'os': 'arch',
}
